"""
Class object for calibration definition.
Note that class objects are heavy weight in python,
therefore these class won't be (always) used in the main core of colorply.
"""

# Colorply module
from .functional import *


class Calib:
    """
    A Calib object stores camera calibration information generated by MicMac.
    The calibration have always a xml extension - a MicMac standard.
    """

    def __init__(self, filename):
        self.filename = filename
        F, PPS, coeffDist, size = read_calib(filename)
        self.F = F
        self.PPS = PPS
        self.cdist = coeffDist
        self.size = size


class Ori:
    """
    An Ori object stores orientation information generated by MicMac.
    The orientation files have always a xml extension - a MicMac standard.
    """

    def __init__(self, filename):
        self.filename = filename
        R, S = read_ori(filename)
        self.R = R
        self.S = S
